查询任务结果
请先获取 API Key 并设置为环境变量。
鉴权
string
header
必填
千问云 API Key。详见获取 API Key。
Header 参数
string
必填
千问云 API Key。详见获取 API Key。
路径参数
string
必填
需要查询任务的ID,即创建任务时返回的 task_id。
查询AI试衣任务的状态和结果
curl -X GET https://dashscope.aliyuncs.com/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxxxx \
--header "Authorization: Bearer $DASHSCOPE_API_KEY"{
"request_id": "98d46cd0-1f90-9231-9a6c-xxxxxx",
"output": {
"task_id": "15991992-1487-40d4-ae66-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2025-06-30 14:37:53.838",
"scheduled_time": "2025-06-30 14:37:53.858",
"end_time": "2025-06-30 14:38:11.472",
"image_url": "http://dashscope-result-hz.oss-cn-hangzhou.aliyuncs.com/tryon.jpg?Expires=xxx"
},
"usage": {
"image_count": 1
}
}千问云 API Key。详见获取 API Key。
千问云 API Key。详见获取 API Key。
需要查询任务的ID,即创建任务时返回的 task_id。
本次请求的唯一ID。
curl -X GET https://dashscope.aliyuncs.com/api/v1/tasks/86ecf553-d340-4e21-xxxxxxxxxxx \
--header "Authorization: Bearer $DASHSCOPE_API_KEY"{
"request_id": "98d46cd0-1f90-9231-9a6c-xxxxxx",
"output": {
"task_id": "15991992-1487-40d4-ae66-xxxxxx",
"task_status": "SUCCEEDED",
"submit_time": "2025-06-30 14:37:53.838",
"scheduled_time": "2025-06-30 14:37:53.858",
"end_time": "2025-06-30 14:38:11.472",
"image_url": "http://dashscope-result-hz.oss-cn-hangzhou.aliyuncs.com/tryon.jpg?Expires=xxx"
},
"usage": {
"image_count": 1
}
}